# Changelog

## 3.0.17 (2017-08-30)
- add function of getting bookmarks for series
- fixed issue of getBookmark

## 3.0.16 (2017-08-18)
- add missing User dto field for R4A version 3
- update target PlayerPlatform version

## 3.0.15 (2017-08-18)
- refactor client.getHomePage so that it is available before bootstrap completed

## 3.0.14 (2017-08-10)
- Change endpoint name from "MyUserRatings" to "ManageUserRatings"

## 3.0.13 (2017-08-07)
- added userRatingsManager for reading and updating user ratings.
- userRatingsManager now can be used to read, create or update the user ratings for assets.

## 3.0.12 (2017-08-02)
- refactored purchaseValueCodeOffer to purchaseOfferByPaymentInstrumentData
- purchaseOfferByPaymentInstrumentData now supports different type of Payment Instrument Data
- added beginPurchase for initiating purchase flow

## 3.0.11 (2017-07-11)
- made all request to use `Content-Type=application/json; charset=utf-8`
- made possible to caching Literals locally into local storage

## 3.0.10 (2017-06-09)
- Improved linkObfuscator.obfuscate.

## 3.0.9 (2017-06-09)
- added userManager.ResetPassword() and userManager.CancelResetPassword() (RAC-41)

## 3.0.8 (2017-06-03)
- More Fixes to referrer (base url) extraction mechanism in `requestMaker`

## 3.0.7 (2017-06-02)
- Fix referrer (base url) extraction mechanism in `requestMaker`

## 3.0.6 (2017-05-31)
- Stop initialising wishListManager when MyWIshList is undefined (RAC-400)

## 3.0.5 (2017-05-29)
- implement purchaseValueCodeOffer (RAC-326)

## 3.0.4 (2017-05-25)
- Adding extra r4a comcast user data model mapping for "mySubscription" (RAC-329)

## 3.0.3 (2017-05-25)
- fix link property name for `client.getAllOffers` (RAC-322)

## 3.0.2  (2017-05-24)
- Expose `client.getAllOffers` (RAC-322)
- Adding extra r4a comcast user data model mapping (RAC-212)

## 3.0.1  (2017-05-15)
- Fixed Test Cases  (RAAW-176)

## 3.0.0 (2016-12-19)
- baseurl to handle multiple api URL  (RAAW-187)
- modified http response to add custom field to hold request information  (RAAW-258)

## 2.2.3 (2016-12-19)
- Expose "MyAccountUrl" in r4a.pp-api (RAAW-237)
- Make content-type header optional (RAAW-258)
- Update node version in Circle CI
- Update dependencies to latest versions and fix unhandled promise rejection in tests

## 2.2.2 (2016-09-05)
- Update Web SDK to include ESearch functionality (R4A-333)

## 2.2.1 (2016-09-02)
- Add bundle content loading method to core-web (SFOTT-600)
- Fixed error format for string-type error responses from the server

## 2.2.0 (2016-08-08)
- Add bundle and seasons support to core-web (SFOTT-559)
- Changed target back-end version to 2.2.*.*

## 2.1.4 (2016-08-08)
- Do not refresh user data on bookmarks update (R4A-299)

## 2.1.3 (2016-08-05)
- Added Content-Length header to http POST requests.
- Log user out in case 401 is returned from PP (R4A-293)
- UserManager exposes unauthorized request callback (R4A-293)
- Add back-end version check in web core (R4A-298)

## 2.1.2 (2016-07-04)
- Naming change for argment passed to the client init function.
- Added CodeCov integration for codecoverage analytics

## 2.1.1 (2016-04-15)
- Fix bug when my movies list is not available in login response

## 2.1.0 (2016-04-15)
**Bug fixing:**
- Fix bug when my movies list is not available in login response

## 2.1.0 (2016-04-15)
**Bug fixing:**
- Don't include an endpoint by default in core lib (R4A-86)

## 2.0.0 (2016-04-14)

**Features:**
- Implemented support for PP2 API
- Implemented support for One Cover functionality (incl FullPlay, new purchase items)
- Removed dataFetcher factory and introduced contentLoader service
- PP2 link obfuscation was simplified to only hiding the link (managing objects are not hiding links anymore)
- Removed gulp, introduced "README.md" file
- Changed structure of r4a-core-web npm package. It does not contain codebase anymore - only compiled versions of library
