/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "./";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	__webpack_require__(2);
	
	angular.module('r4a.pp-api', ['LocalStorageModule']);
	
	__webpack_require__(13);
	__webpack_require__(9);
	__webpack_require__(5);
	__webpack_require__(8);
	__webpack_require__(11);
	__webpack_require__(10);
	__webpack_require__(15);
	__webpack_require__(14);
	__webpack_require__(6);
	__webpack_require__(12);
	__webpack_require__(16);
	__webpack_require__(17);
	__webpack_require__(7);
	


/***/ },
/* 1 */
/***/ function(module, exports) {

	/**
	 * Simple module that implements namespace prefixing for PP-API module
	 * @param className
	 * @returns {string}
	 */
	module.exports = function(className) {
	    var namespace = "r4a.pp-api";
	    if (className) {
	        return namespace + "." + className;
	    }
	    else {
	        return namespace;
	    }
	};


/***/ },
/* 2 */
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(3);
	module.exports = 'LocalStorageModule';


/***/ },
/* 3 */
/***/ function(module, exports) {

	var isDefined = angular.isDefined,
	  isUndefined = angular.isUndefined,
	  isNumber = angular.isNumber,
	  isObject = angular.isObject,
	  isArray = angular.isArray,
	  extend = angular.extend,
	  toJson = angular.toJson;
	
	angular
	  .module('LocalStorageModule', [])
	  .provider('localStorageService', function() {
	    // You should set a prefix to avoid overwriting any local storage variables from the rest of your app
	    // e.g. localStorageServiceProvider.setPrefix('yourAppName');
	    // With provider you can use config as this:
	    // myApp.config(function (localStorageServiceProvider) {
	    //    localStorageServiceProvider.prefix = 'yourAppName';
	    // });
	    this.prefix = 'ls';
	
	    // You could change web storage type localstorage or sessionStorage
	    this.storageType = 'localStorage';
	
	    // Cookie options (usually in case of fallback)
	    // expiry = Number of days before cookies expire // 0 = Does not expire
	    // path = The web path the cookie represents
	    this.cookie = {
	      expiry: 30,
	      path: '/'
	    };
	
	    // Send signals for each of the following actions?
	    this.notify = {
	      setItem: true,
	      removeItem: false
	    };
	
	    // Setter for the prefix
	    this.setPrefix = function(prefix) {
	      this.prefix = prefix;
	      return this;
	    };
	
	    // Setter for the storageType
	    this.setStorageType = function(storageType) {
	      this.storageType = storageType;
	      return this;
	    };
	
	    // Setter for cookie config
	    this.setStorageCookie = function(exp, path) {
	      this.cookie.expiry = exp;
	      this.cookie.path = path;
	      return this;
	    };
	
	    // Setter for cookie domain
	    this.setStorageCookieDomain = function(domain) {
	      this.cookie.domain = domain;
	      return this;
	    };
	
	    // Setter for notification config
	    // itemSet & itemRemove should be booleans
	    this.setNotify = function(itemSet, itemRemove) {
	      this.notify = {
	        setItem: itemSet,
	        removeItem: itemRemove
	      };
	      return this;
	    };
	
	    this.$get = ['$rootScope', '$window', '$document', '$parse', function($rootScope, $window, $document, $parse) {
	      var self = this;
	      var prefix = self.prefix;
	      var cookie = self.cookie;
	      var notify = self.notify;
	      var storageType = self.storageType;
	      var webStorage;
	
	      // When Angular's $document is not available
	      if (!$document) {
	        $document = document;
	      } else if ($document[0]) {
	        $document = $document[0];
	      }
	
	      // If there is a prefix set in the config lets use that with an appended period for readability
	      if (prefix.substr(-1) !== '.') {
	        prefix = !!prefix ? prefix + '.' : '';
	      }
	      var deriveQualifiedKey = function(key) {
	        return prefix + key;
	      };
	      // Checks the browser to see if local storage is supported
	      var browserSupportsLocalStorage = (function () {
	        try {
	          var supported = (storageType in $window && $window[storageType] !== null);
	
	          // When Safari (OS X or iOS) is in private browsing mode, it appears as though localStorage
	          // is available, but trying to call .setItem throws an exception.
	          //
	          // "QUOTA_EXCEEDED_ERR: DOM Exception 22: An attempt was made to add something to storage
	          // that exceeded the quota."
	          var key = deriveQualifiedKey('__' + Math.round(Math.random() * 1e7));
	          if (supported) {
	            webStorage = $window[storageType];
	            webStorage.setItem(key, '');
	            webStorage.removeItem(key);
	          }
	
	          return supported;
	        } catch (e) {
	          storageType = 'cookie';
	          $rootScope.$broadcast('LocalStorageModule.notification.error', e.message);
	          return false;
	        }
	      }());
	
	      // Directly adds a value to local storage
	      // If local storage is not available in the browser use cookies
	      // Example use: localStorageService.add('library','angular');
	      var addToLocalStorage = function (key, value) {
	        // Let's convert undefined values to null to get the value consistent
	        if (isUndefined(value)) {
	          value = null;
	        } else {
	          value = toJson(value);
	        }
	
	        // If this browser does not support local storage use cookies
	        if (!browserSupportsLocalStorage || self.storageType === 'cookie') {
	          if (!browserSupportsLocalStorage) {
	            $rootScope.$broadcast('LocalStorageModule.notification.warning', 'LOCAL_STORAGE_NOT_SUPPORTED');
	          }
	
	          if (notify.setItem) {
	            $rootScope.$broadcast('LocalStorageModule.notification.setitem', {key: key, newvalue: value, storageType: 'cookie'});
	          }
	          return addToCookies(key, value);
	        }
	
	        try {
	          if (webStorage) {
	            webStorage.setItem(deriveQualifiedKey(key), value);
	          }
	          if (notify.setItem) {
	            $rootScope.$broadcast('LocalStorageModule.notification.setitem', {key: key, newvalue: value, storageType: self.storageType});
	          }
	        } catch (e) {
	          $rootScope.$broadcast('LocalStorageModule.notification.error', e.message);
	          return addToCookies(key, value);
	        }
	        return true;
	      };
	
	      // Directly get a value from local storage
	      // Example use: localStorageService.get('library'); // returns 'angular'
	      var getFromLocalStorage = function (key) {
	
	        if (!browserSupportsLocalStorage || self.storageType === 'cookie') {
	          if (!browserSupportsLocalStorage) {
	            $rootScope.$broadcast('LocalStorageModule.notification.warning', 'LOCAL_STORAGE_NOT_SUPPORTED');
	          }
	
	          return getFromCookies(key);
	        }
	
	        var item = webStorage ? webStorage.getItem(deriveQualifiedKey(key)) : null;
	        // angular.toJson will convert null to 'null', so a proper conversion is needed
	        // FIXME not a perfect solution, since a valid 'null' string can't be stored
	        if (!item || item === 'null') {
	          return null;
	        }
	
	        try {
	          return JSON.parse(item);
	        } catch (e) {
	          return item;
	        }
	      };
	
	      // Remove an item from local storage
	      // Example use: localStorageService.remove('library'); // removes the key/value pair of library='angular'
	      var removeFromLocalStorage = function () {
	        var i, key;
	        for (i=0; i<arguments.length; i++) {
	          key = arguments[i];
	          if (!browserSupportsLocalStorage || self.storageType === 'cookie') {
	            if (!browserSupportsLocalStorage) {
	              $rootScope.$broadcast('LocalStorageModule.notification.warning', 'LOCAL_STORAGE_NOT_SUPPORTED');
	            }
	
	            if (notify.removeItem) {
	              $rootScope.$broadcast('LocalStorageModule.notification.removeitem', {key: key, storageType: 'cookie'});
	            }
	            removeFromCookies(key);
	          }
	          else {
	            try {
	              webStorage.removeItem(deriveQualifiedKey(key));
	              if (notify.removeItem) {
	                $rootScope.$broadcast('LocalStorageModule.notification.removeitem', {
	                  key: key,
	                  storageType: self.storageType
	                });
	              }
	            } catch (e) {
	              $rootScope.$broadcast('LocalStorageModule.notification.error', e.message);
	              removeFromCookies(key);
	            }
	          }
	        }
	      };
	
	      // Return array of keys for local storage
	      // Example use: var keys = localStorageService.keys()
	      var getKeysForLocalStorage = function () {
	
	        if (!browserSupportsLocalStorage) {
	          $rootScope.$broadcast('LocalStorageModule.notification.warning', 'LOCAL_STORAGE_NOT_SUPPORTED');
	          return [];
	        }
	
	        var prefixLength = prefix.length;
	        var keys = [];
	        for (var key in webStorage) {
	          // Only return keys that are for this app
	          if (key.substr(0, prefixLength) === prefix) {
	            try {
	              keys.push(key.substr(prefixLength));
	            } catch (e) {
	              $rootScope.$broadcast('LocalStorageModule.notification.error', e.Description);
	              return [];
	            }
	          }
	        }
	        return keys;
	      };
	
	      // Remove all data for this app from local storage
	      // Also optionally takes a regular expression string and removes the matching key-value pairs
	      // Example use: localStorageService.clearAll();
	      // Should be used mostly for development purposes
	      var clearAllFromLocalStorage = function (regularExpression) {
	
	        // Setting both regular expressions independently
	        // Empty strings result in catchall RegExp
	        var prefixRegex = !!prefix ? new RegExp('^' + prefix) : new RegExp();
	        var testRegex = !!regularExpression ? new RegExp(regularExpression) : new RegExp();
	
	        if (!browserSupportsLocalStorage || self.storageType === 'cookie') {
	          if (!browserSupportsLocalStorage) {
	            $rootScope.$broadcast('LocalStorageModule.notification.warning', 'LOCAL_STORAGE_NOT_SUPPORTED');
	          }
	          return clearAllFromCookies();
	        }
	
	        var prefixLength = prefix.length;
	
	        for (var key in webStorage) {
	          // Only remove items that are for this app and match the regular expression
	          if (prefixRegex.test(key) && testRegex.test(key.substr(prefixLength))) {
	            try {
	              removeFromLocalStorage(key.substr(prefixLength));
	            } catch (e) {
	              $rootScope.$broadcast('LocalStorageModule.notification.error', e.message);
	              return clearAllFromCookies();
	            }
	          }
	        }
	        return true;
	      };
	
	      // Checks the browser to see if cookies are supported
	      var browserSupportsCookies = (function() {
	        try {
	          return $window.navigator.cookieEnabled ||
	          ("cookie" in $document && ($document.cookie.length > 0 ||
	            ($document.cookie = "test").indexOf.call($document.cookie, "test") > -1));
	          } catch (e) {
	            $rootScope.$broadcast('LocalStorageModule.notification.error', e.message);
	            return false;
	          }
	        }());
	
	        // Directly adds a value to cookies
	        // Typically used as a fallback is local storage is not available in the browser
	        // Example use: localStorageService.cookie.add('library','angular');
	        var addToCookies = function (key, value, daysToExpiry) {
	
	          if (isUndefined(value)) {
	            return false;
	          } else if(isArray(value) || isObject(value)) {
	            value = toJson(value);
	          }
	
	          if (!browserSupportsCookies) {
	            $rootScope.$broadcast('LocalStorageModule.notification.error', 'COOKIES_NOT_SUPPORTED');
	            return false;
	          }
	
	          try {
	            var expiry = '',
	            expiryDate = new Date(),
	            cookieDomain = '';
	
	            if (value === null) {
	              // Mark that the cookie has expired one day ago
	              expiryDate.setTime(expiryDate.getTime() + (-1 * 24 * 60 * 60 * 1000));
	              expiry = "; expires=" + expiryDate.toGMTString();
	              value = '';
	            } else if (isNumber(daysToExpiry) && daysToExpiry !== 0) {
	              expiryDate.setTime(expiryDate.getTime() + (daysToExpiry * 24 * 60 * 60 * 1000));
	              expiry = "; expires=" + expiryDate.toGMTString();
	            } else if (cookie.expiry !== 0) {
	              expiryDate.setTime(expiryDate.getTime() + (cookie.expiry * 24 * 60 * 60 * 1000));
	              expiry = "; expires=" + expiryDate.toGMTString();
	            }
	            if (!!key) {
	              var cookiePath = "; path=" + cookie.path;
	              if(cookie.domain){
	                cookieDomain = "; domain=" + cookie.domain;
	              }
	              $document.cookie = deriveQualifiedKey(key) + "=" + encodeURIComponent(value) + expiry + cookiePath + cookieDomain;
	            }
	          } catch (e) {
	            $rootScope.$broadcast('LocalStorageModule.notification.error', e.message);
	            return false;
	          }
	          return true;
	        };
	
	        // Directly get a value from a cookie
	        // Example use: localStorageService.cookie.get('library'); // returns 'angular'
	        var getFromCookies = function (key) {
	          if (!browserSupportsCookies) {
	            $rootScope.$broadcast('LocalStorageModule.notification.error', 'COOKIES_NOT_SUPPORTED');
	            return false;
	          }
	
	          var cookies = $document.cookie && $document.cookie.split(';') || [];
	          for(var i=0; i < cookies.length; i++) {
	            var thisCookie = cookies[i];
	            while (thisCookie.charAt(0) === ' ') {
	              thisCookie = thisCookie.substring(1,thisCookie.length);
	            }
	            if (thisCookie.indexOf(deriveQualifiedKey(key) + '=') === 0) {
	              var storedValues = decodeURIComponent(thisCookie.substring(prefix.length + key.length + 1, thisCookie.length));
	              try {
	                return JSON.parse(storedValues);
	              } catch(e) {
	                return storedValues;
	              }
	            }
	          }
	          return null;
	        };
	
	        var removeFromCookies = function (key) {
	          addToCookies(key,null);
	        };
	
	        var clearAllFromCookies = function () {
	          var thisCookie = null, thisKey = null;
	          var prefixLength = prefix.length;
	          var cookies = $document.cookie.split(';');
	          for(var i = 0; i < cookies.length; i++) {
	            thisCookie = cookies[i];
	
	            while (thisCookie.charAt(0) === ' ') {
	              thisCookie = thisCookie.substring(1, thisCookie.length);
	            }
	
	            var key = thisCookie.substring(prefixLength, thisCookie.indexOf('='));
	            removeFromCookies(key);
	          }
	        };
	
	        var getStorageType = function() {
	          return storageType;
	        };
	
	        // Add a listener on scope variable to save its changes to local storage
	        // Return a function which when called cancels binding
	        var bindToScope = function(scope, key, def, lsKey) {
	          lsKey = lsKey || key;
	          var value = getFromLocalStorage(lsKey);
	
	          if (value === null && isDefined(def)) {
	            value = def;
	          } else if (isObject(value) && isObject(def)) {
	            value = extend(value, def);
	          }
	
	          $parse(key).assign(scope, value);
	
	          return scope.$watch(key, function(newVal) {
	            addToLocalStorage(lsKey, newVal);
	          }, isObject(scope[key]));
	        };
	
	        // Return localStorageService.length
	        // ignore keys that not owned
	        var lengthOfLocalStorage = function() {
	          var count = 0;
	          var storage = $window[storageType];
	          for(var i = 0; i < storage.length; i++) {
	            if(storage.key(i).indexOf(prefix) === 0 ) {
	              count++;
	            }
	          }
	          return count;
	        };
	
	        return {
	          isSupported: browserSupportsLocalStorage,
	          getStorageType: getStorageType,
	          set: addToLocalStorage,
	          add: addToLocalStorage, //DEPRECATED
	          get: getFromLocalStorage,
	          keys: getKeysForLocalStorage,
	          remove: removeFromLocalStorage,
	          clearAll: clearAllFromLocalStorage,
	          bind: bindToScope,
	          deriveKey: deriveQualifiedKey,
	          length: lengthOfLocalStorage,
	          cookie: {
	            isSupported: browserSupportsCookies,
	            set: addToCookies,
	            add: addToCookies, //DEPRECATED
	            get: getFromCookies,
	            remove: removeFromCookies,
	            clearAll: clearAllFromCookies
	          }
	        };
	      }];
	  });


/***/ },
/* 4 */
/***/ function(module, exports, __webpack_require__) {

	(function (root, factory) {
	    if (true) {
	        module.exports = factory();
	    } else if (typeof define === 'function' && define.amd) {
	        define([], factory);
	    } else {
	        root.urltemplate = factory();
	    }
	}(this, function () {
	  /**
	   * @constructor
	   */
	  function UrlTemplate() {
	  }
	
	  /**
	   * @private
	   * @param {string} str
	   * @return {string}
	   */
	  UrlTemplate.prototype.encodeReserved = function (str) {
	    return str.split(/(%[0-9A-Fa-f]{2})/g).map(function (part) {
	      if (!/%[0-9A-Fa-f]/.test(part)) {
	        part = encodeURI(part).replace(/%5B/g, '[').replace(/%5D/g, ']');
	      }
	      return part;
	    }).join('');
	  };
	
	  /**
	   * @private
	   * @param {string} str
	   * @return {string}
	   */
	  UrlTemplate.prototype.encodeUnreserved = function (str) {
	    return encodeURIComponent(str).replace(/[!'()*]/g, function (c) {
	      return '%' + c.charCodeAt(0).toString(16).toUpperCase();
	    });
	  }
	
	  /**
	   * @private
	   * @param {string} operator
	   * @param {string} value
	   * @param {string} key
	   * @return {string}
	   */
	  UrlTemplate.prototype.encodeValue = function (operator, value, key) {
	    value = (operator === '+' || operator === '#') ? this.encodeReserved(value) : this.encodeUnreserved(value);
	
	    if (key) {
	      return this.encodeUnreserved(key) + '=' + value;
	    } else {
	      return value;
	    }
	  };
	
	  /**
	   * @private
	   * @param {*} value
	   * @return {boolean}
	   */
	  UrlTemplate.prototype.isDefined = function (value) {
	    return value !== undefined && value !== null;
	  };
	
	  /**
	   * @private
	   * @param {string}
	   * @return {boolean}
	   */
	  UrlTemplate.prototype.isKeyOperator = function (operator) {
	    return operator === ';' || operator === '&' || operator === '?';
	  };
	
	  /**
	   * @private
	   * @param {Object} context
	   * @param {string} operator
	   * @param {string} key
	   * @param {string} modifier
	   */
	  UrlTemplate.prototype.getValues = function (context, operator, key, modifier) {
	    var value = context[key],
	        result = [];
	
	    if (this.isDefined(value) && value !== '') {
	      if (typeof value === 'string' || typeof value === 'number' || typeof value === 'boolean') {
	        value = value.toString();
	
	        if (modifier && modifier !== '*') {
	          value = value.substring(0, parseInt(modifier, 10));
	        }
	
	        result.push(this.encodeValue(operator, value, this.isKeyOperator(operator) ? key : null));
	      } else {
	        if (modifier === '*') {
	          if (Array.isArray(value)) {
	            value.filter(this.isDefined).forEach(function (value) {
	              result.push(this.encodeValue(operator, value, this.isKeyOperator(operator) ? key : null));
	            }, this);
	          } else {
	            Object.keys(value).forEach(function (k) {
	              if (this.isDefined(value[k])) {
	                result.push(this.encodeValue(operator, value[k], k));
	              }
	            }, this);
	          }
	        } else {
	          var tmp = [];
	
	          if (Array.isArray(value)) {
	            value.filter(this.isDefined).forEach(function (value) {
	              tmp.push(this.encodeValue(operator, value));
	            }, this);
	          } else {
	            Object.keys(value).forEach(function (k) {
	              if (this.isDefined(value[k])) {
	                tmp.push(this.encodeUnreserved(k));
	                tmp.push(this.encodeValue(operator, value[k].toString()));
	              }
	            }, this);
	          }
	
	          if (this.isKeyOperator(operator)) {
	            result.push(this.encodeUnreserved(key) + '=' + tmp.join(','));
	          } else if (tmp.length !== 0) {
	            result.push(tmp.join(','));
	          }
	        }
	      }
	    } else {
	      if (operator === ';') {
	        if (this.isDefined(value)) {
	          result.push(this.encodeUnreserved(key));
	        }
	      } else if (value === '' && (operator === '&' || operator === '?')) {
	        result.push(this.encodeUnreserved(key) + '=');
	      } else if (value === '') {
	        result.push('');
	      }
	    }
	    return result;
	  };
	
	  /**
	   * @param {string} template
	   * @return {function(Object):string}
	   */
	  UrlTemplate.prototype.parse = function (template) {
	    var that = this;
	    var operators = ['+', '#', '.', '/', ';', '?', '&'];
	
	    return {
	      expand: function (context) {
	        return template.replace(/\{([^\{\}]+)\}|([^\{\}]+)/g, function (_, expression, literal) {
	          if (expression) {
	            var operator = null,
	                values = [];
	
	            if (operators.indexOf(expression.charAt(0)) !== -1) {
	              operator = expression.charAt(0);
	              expression = expression.substr(1);
	            }
	
	            expression.split(/,/g).forEach(function (variable) {
	              var tmp = /([^:\*]*)(?::(\d+)|(\*))?/.exec(variable);
	              values.push.apply(values, that.getValues(context, operator, tmp[1], tmp[2] || tmp[3]));
	            });
	
	            if (operator && operator !== '+') {
	              var separator = ',';
	
	              if (operator === '?') {
	                separator = '&';
	              } else if (operator !== '#') {
	                separator = operator;
	              }
	              return (values.length !== 0 ? operator : '') + values.join(separator);
	            } else {
	              return values.join(',');
	            }
	          } else {
	            return that.encodeReserved(literal);
	          }
	        });
	      }
	    };
	  };
	
	  return new UrlTemplate();
	}));


/***/ },
/* 5 */
/***/ function(module, exports, __webpack_require__) {

	var ns = __webpack_require__(1);
	
	/**
	 * Implements device authentication flow and loads literals
	 */
	angular.module('r4a.pp-api').service(ns('authDeviceService'), [
	    '$q', ns('requestMaker'), ns('utils'),
	    function($q, requestMaker, utils) {
	        // link to entry point for back-end communications
	        var serviceRootLink = {
	                "Templated": true,
	                "WithCredentials": true
	            },
	            relativeAuthHref = "api/devices{?apiKey,manufacturer,model,udid}",
	            basePath = null;
	
	        var rootData,
	            literals,
	            authDeferred = $q.defer();
	
	        var waitForLiterals = true,
	            cacheLiteralsLocally = false,
	            literalsChangedCallback = null,
	            authDeviceServiceReadyCallback = null;
	
	        // ------------- Private methods
	        function loadLiterals() {
	            literals = utils.literals;
	
	            if (cacheLiteralsLocally && (literals || !waitForLiterals)) {
	                authDeferred.resolve({
	                    rootData: rootData,
	                    literals: literals
	                });
	                if (literalsChangedCallback) {
	                    requestMaker.http(rootData.Literals, {language: rootData.DeviceAuthData.Language})
	                        .then(function (response) {
	                            var newLiterals = response.data;
	                            literals = utils.literals;
	                            if (literals !== newLiterals) { // may need better way to determine if data is changed
	                                literals = newLiterals;
	                                utils.literals = literals;
	                                literalsChangedCallback();
	                            }
	                        });
	                }
	            } else {
	                requestMaker.http(rootData.Literals, {language: rootData.DeviceAuthData.Language})
	                    .then(function (response) {
	                        literals = response.data;
	                        if (cacheLiteralsLocally) {
	                            utils.literals = literals;
	                            if (literalsChangedCallback) { literalsChangedCallback(); }
	                        }
	
	                        authDeferred.resolve({
	                            rootData: rootData,
	                            literals: literals
	                        });
	                    }, function (response) {
	                        authDeferred.reject(requestMaker.formatError(response.data, response.status));
	                    });
	            }
	        }
	
	        function registerDevice(link) {
	            requestMaker.http(link).then(function(response) {
	                setRootData(response.data);
	                loadLiterals();
	            }, function(response) {
	                authDeferred.reject(requestMaker.formatError(response.data, response.status));
	            });
	        }
	
	        function setRootData(deviceDataArray) {
	            rootData = deviceDataArray[0];
	
	            utils.checkPPVersion(rootData.ApiVersion);
	
	            requestMaker.setAcceptLanguage(rootData.DeviceAuthData.Language);
	
	            // make some links cacheable
	            rootData.Home.cache = true;
	
	            if (authDeviceServiceReadyCallback) { authDeviceServiceReadyCallback(); }
	        }
	
	        /**
	         * getRootData
	         * @returns device auth root data
	         */
	        this.getRootData = function() {
	            return rootData;
	        };
	
	        // ------------- Public methods
	        /**
	         * Starts device authentication process
	         * @param params
	         * @returns auth process completion promise
	         */
	        this.doAuth = function(params) {
	            serviceRootLink.Href = basePath + relativeAuthHref;
	            requestMaker.http(serviceRootLink, params)
	                .then(function(success) {
	                    try {
	                        setRootData(success.data);
	                        loadLiterals();
	                    }
	                    catch(ex) {
	                        rootData = null;
	                        return authDeferred.reject({ Message: ex.message });
	                    }
	                }, function(error) {
	                    if (error.status == 404) { // was not connected before
	                        registerDevice(error.data);
	                    }
	                    else {
	                        authDeferred.reject(requestMaker.formatError(error.data, error.status));
	                    }
	                });
	            return authDeferred.promise;
	        };
	
	        /**
	         * Sets base server path, relatively to base url
	         */
	        this.setBasePath = function(bPath) {
	            basePath = bPath;
	        };
	
	        this.setLiteralsChangedCallback = function(callback) {
	            literalsChangedCallback = callback;
	        };
	
	        this.setAuthDeviceServiceReady = function(callback) {
	            authDeviceServiceReadyCallback = callback;
	        };
	
	        this.setWaitForLiterals = function(value) {
	            if (value!==undefined) waitForLiterals = value;
	        };
	
	        this.setCacheLiteralsLocally = function(value) {
	            cacheLiteralsLocally = !!value;
	        };
	
	        this.applySettings = function(settings) {
	            var settingsObj = settings || {};
	            this.setLiteralsChangedCallback(settingsObj.localCachedContentChangedCallback);
	            this.setAuthDeviceServiceReady(settingsObj.authDeviceServiceReadyCallback);
	            this.setWaitForLiterals(settingsObj.waitForLiterals);
	            this.setCacheLiteralsLocally(settingsObj.cacheLiteralsLocally);
	        };
	
	        Object.defineProperties(this, {
	            authPromise: {
	                value: authDeferred.promise,
	                writable: false
	            }
	        });
	    }
	]);


/***/ },
/* 6 */
/***/ function(module, exports, __webpack_require__) {

	var ns = __webpack_require__(1);
	/**
	 * Manages user bookmarks
	 */
	angular.module(ns()).service(ns('bookmarksManager'), [
	    ns('requestMaker'), '$q',
	    function(requestMaker, $q) {
	
	        var loginData, collectionChangeCallback;
	
	        /**
	         * Wraps collectionChangeCallback result into promise, and always returns 'data',
	         * not depending on result of callback
	         */
	        function injectCallbackHandler(data) {
	            var dataReturn = function() { return data; };
	            return $q.when(collectionChangeCallback && collectionChangeCallback())
	                .then(dataReturn, dataReturn);
	        }
	
	        /**
	         * Updates user's local bookmark collection
	         * @param newBookmark
	         */
	        function updateLocalBookmark(newBookmark) {
	            var bookmarkIndex = findBookmarkIndex(newBookmark.ContentId);
	
	            // update found bookmark if it was found
	            if (bookmarkIndex != null && isFinite(bookmarkIndex)) {
	                loginData.Bookmarks[bookmarkIndex] = newBookmark;
	            }
	            else {
	                // add to local Bookmark collection
	                loginData.Bookmarks.push(newBookmark);
	            }
	
	            return newBookmark;
	        }
	
	        /**
	         * Removes specified bookmark from user's local bookmark collection
	         * @param bookmarkToRemove
	         */
	        function removeLocalBookmark(contentId) {
	            var bookmarkIndex = findBookmarkIndex(contentId);
	
	            if (bookmarkIndex != null && isFinite(bookmarkIndex)) {
	                loginData.Bookmarks.splice(bookmarkIndex, 1);
	            }
	        }
	
	        function findBookmarkIndex(contentId) {
	            // try to find the bookmark in local collection
	            for (var i = 0; i < loginData.Bookmarks.length; ++i) {
	                if (loginData.Bookmarks[i].ContentId == contentId)  {
	                    return i;
	                }
	            }
	        }
	
	        return {
	            /**
	             * Login data bookmarks configurations
	             * @param obj
	             */
	            configure: function(obj) {
	                loginData = obj;
	            },
	
	            /**
	             * Registers callback for changes (item added/removed) in bookmark collection
	             */
	            get onCollectionChange() { return collectionChangeCallback; },
	            set onCollectionChange(val) { collectionChangeCallback = val; },
	
	            public: {
	                get items() { return loginData.Bookmarks },
	
	                /**
	                 * Retrieves bookmark for provided content id
	                 * @param contentId
	                 * @returns {any} - bookmark
	                 */
	                getBookmark: function(contentId) {
	                    if (!(loginData && loginData.Bookmarks)) {
	                        return null;
	                    }
	
	                    contentId = contentId.toString();
	                    var currBookmark;
	
	                    for(var i = 0; i < loginData.Bookmarks.length; ++i) {
	                        currBookmark = loginData.Bookmarks[i];
	                        if (currBookmark.ContentId == contentId) {
	                            return currBookmark;
	                        }
	                    }
	
	                    return null;
	                },
	
	                /**
	                 * Retrieves bookmark for provided series id
	                 * @param seriesId
	                 * @returns [{any}] - bookmarks
	                 */
	                getBookmarkForSeries: function(seriesId) {
	                    if (!(loginData && loginData.Bookmarks)) {
	                        return null;
	                    }
	
	                    seriesId = seriesId.toString();
	                    var currBookmark;
	                    var resultArray = [];
	
	                    for(var i = 0; i < loginData.Bookmarks.length; ++i) {
	                        currBookmark = loginData.Bookmarks[i];
	                        if (currBookmark.SeriesId == seriesId) {
	                            resultArray.push(currBookmark);
	                        }
	                    }
	
	                    return resultArray;
	                },
	
	                createOrUpdate: function(contentId, value) {
	                    return requestMaker.http(loginData.ManageBookmarks.CreateOrUpdate, null, {
	                            contentId: contentId,
	                            value: value
	                        })
	                        .formatAll()
	                        .then(updateLocalBookmark) // update bookmarks to keep local bookmarks collection in sync with server
	                        .then(injectCallbackHandler);
	                },
	
	                read: function(contentId) {
	                    return requestMaker.http(loginData.ManageBookmarks.Read, { contentId: contentId })
	                        .formatError()
	                        .then(function(response){ updateLocalBookmark(response.data); return response.data });
	                },
	
	                remove: function(contentId) {
	                    return requestMaker.http(loginData.ManageBookmarks.Delete, { contentId: contentId })
	                        .formatAll()
	                        .then(function() {
	                            removeLocalBookmark(contentId);
	                        }) // update bookmarks to keep local bookmarks collection in sync with server
	                        .then(injectCallbackHandler);
	                }
	            }
	        };
	    }
	]);


/***/ },
/* 7 */
/***/ function(module, exports, __webpack_require__) {

	var ns = __webpack_require__(1);
	/**
	 * Facade for all PP API module
	 */
	angular.module(ns()).service(ns('client'), [
	    ns('authDeviceService'), ns('requestMaker'), ns('contentLoader'), ns('userManager'), ns('searchService'), ns('utils'), ns('purchaseService'), '$q',
	    function(authDeviceService, requestMaker, contentLoader, userManager, searchService, utils, purchaseService, $q) {
	
	        var country, language;
	        var bootstrapPromise;
	
	        // ------------- Private methods
	        function init(authData) {
	            searchService.configure(authData.rootData);
	            country = authData.rootData.DeviceAuthData.Country;
	            language = authData.rootData.DeviceAuthData.Language;
	            utils.generateApiInternalKey();
	            return authData;
	        }
	
	        function getAuthInfo(rootData) {
	            return {
	                id: rootData.Id,
	                manufacturer: rootData.Manufacturer,
	                model: rootData.Model,
	                udId: rootData.UdId,
	                lastUsedDate: rootData.LastUsedDate,
	                lastUsedIP: rootData.LastUsedIP,
	                registrationDate: rootData.RegistrationDate,
	                apiVersion: rootData.ApiVersion,
	                apiDocumentationLink: rootData.ApiDocumentationLink
	            };
	        }
	
	        // ------------- Public methods
	        /**
	         * Starts device authentication, initialization and perform silent login if possible.
	         * This method should be called first to be able to use another ones.
	         *
	         * @param params - device auth params
	         * @returns device auth completion promise, which contains literals in case of success
	         */
	        this.bootstrap = function(params) {
	            var promise = authDeviceService
	                .doAuth(params)
	                .then(init)
	                .then(function(authData) {
	                    var returnAuthFunc = function() {
	                        var data = getAuthInfo(authData.rootData);
	                        data.literals = authData.literals;
	                        return data;
	                    };
	                    return userManager.silentLogin()
	                        .then(returnAuthFunc , returnAuthFunc);
	                });
	
	            bootstrapPromise = promise.then(function() { // get full auth data
	                return authDeviceService.authPromise;
	            });
	
	            // handle possible unhandled promise rejection
	            bootstrapPromise.catch(angular.noop);
	
	            return promise;
	        };
	
	        /**
	         * Loads home page data
	         *
	         * @returns load completion promise
	         */
	        this.getHomePage = function() {
	            var getHomePagePromise = function(rootData) {
	                var hiddenLink = utils.createHiddenLink(rootData.Home);
	                return contentLoader.load(hiddenLink, {
	                    language: rootData.DeviceAuthData.Language
	                });
	            };
	            var authRootData = authDeviceService.getRootData();
	            if (authRootData) {
	                return getHomePagePromise(authRootData);
	            } else {
	                return bootstrapPromise.then(function(authData) {
	                    return getHomePagePromise(authData.rootData);
	                });
	
	            }
	        };
	
	        /**
	         * Loads help page data
	         *
	         * @returns load completion promise
	         */
	        this.getHelpPage = function() {
	            return bootstrapPromise.then(function(authData) {
	
	                var hiddenLink = utils.createHiddenLink(authData.rootData.Helps);
	
	                return contentLoader.load(hiddenLink, {
	                    language: authData.rootData.DeviceAuthData.Language
	                });
	
	            });
	        };
	
	        /**
	         * Purchase an item
	         *
	         * @param item - purchase item
	         * @param paymentMethod
	         * @param valuecode (optional) argument should be provided in case of payment is 'valuecode'
	         * @returns {*}
	         */
	        this.purchase = function(item, paymentMethod, valuecode) {
	            return purchaseService.submit(item.Form.getLink(utils.apiInternalKey), paymentMethod, valuecode);
	        };
	
	        /**
	         * Get all offers
	         */
	        this.allOffers = function() {
	            return bootstrapPromise.then(function(authData) {
	                var hiddenLink = utils.createHiddenLink(authData.rootData.AllOffers);
	                return contentLoader.load(hiddenLink, {
	                    language: authData.rootData.DeviceAuthData.Language
	                });
	            });
	        };
	
	        /**
	         * Retrieve information from BeginPurchase
	         */
	        this.beginPurchase = function (callbackUrl) {
	            return bootstrapPromise.then(function(authData) {
	                var hiddenLink = utils.createHiddenLink(authData.rootData.BeginPurchase);
	                return contentLoader.load(hiddenLink, {callbackUrl:callbackUrl});
	            });
	        };
	
	        /**
	         * purchase an offer with PaymentInstrumentData
	         */
	        this.purchaseOfferByPaymentInstrumentData = function(offer, paymentInstrumentData) {
	            return this
	                .allOffers()
	                .then(function(offers) {
	                    var matchedOffers = offers.filter(function(item) { return item.OfferId === offer.OfferId});
	
	                    if (matchedOffers.length === 0) {
	                        return $q.reject({'Message':'Offer no longer available.'});
	                    }
	
	                    var offerToPurchase = matchedOffers[0];
	                    var purchaseLink = offerToPurchase.Purchase;
	
	                    if (angular.isFunction(purchaseLink.getLink)) { // in case of hidden link - retrieve original link
	                        purchaseLink = purchaseLink.getLink(utils.apiInternalKey);
	                    }
	                    return requestMaker
	                            .http(purchaseLink, {}, paymentInstrumentData)
	                            .formatError();
	                });
	        };
	
	        /**
	         * Sets base url and base server path for all the requests to PP
	         *
	         * @param baseUrl  - base url of the Ready4Air API to point against ex. https://pp.ready4air.com
	         * @param basePath - base path of the application ex. /api/
	         * @param settings - additional settings
	         */
	        this.init = function(baseUrl, basePath, settings) {
	            settings = settings || {};
	            requestMaker.setBaseUrl(baseUrl);
	            requestMaker.sendContentLength = settings.sendContentLength;
	            requestMaker.disableReferrerResponseTransform = !!settings.disableReferrerResponseTransform;
	            authDeviceService.setBasePath(basePath);
	            authDeviceService.applySettings(settings);
	        };
	
	        Object.defineProperties(this, {
	            /**
	             * User-related functionality
	             */
	            userManager: {
	                value: userManager,
	                writable: false
	            },
	
	            /**
	             * Search functionality
	             */
	            searchService: {
	                value: searchService.public,
	                writable: false
	            },
	
	            /**
	             * Loads content by link. Also contains helper methods for common content loading operations
	             */
	            contentLoader: {
	                value: contentLoader,
	                writable: false
	            },
	
	            /**
	             * Client's country
	             */
	            country: {
	                get: function() { return country; }
	            },
	
	            /**
	             * Client's language
	             */
	            language: {
	                get: function() { return language; }
	            },
	
	            /**
	             * Cached literals
	             */
	            localCachedLiterals: {
	                get: function() {
	                    return utils.literals;
	                }
	            },
	
	            /**
	             * User Ratings functionality
	             */
	            userRatings: {
	                value: userManager.userRatings,
	                writable: false
	            },
	        });
	    }
	]);
	


/***/ },
/* 8 */
/***/ function(module, exports, __webpack_require__) {

	var ns = __webpack_require__(1);
	/**
	 * Fetches data page from PP and encapsulates its PP (not images, videos, etc) links.
	 * Each link is replaced with method, that performs a call to PP using that link.
	 */
	angular.module(ns()).factory(ns('contentLoader'), [
	    ns('requestMaker'), '$q', ns('linkObfuscator'), ns('utils'),
	    function(requestMaker, $q, linkObfuscator, utils) {
	
	        // settings for link obfuscator, which determines functionality under obfuscated links
	        var obfuscationSettings = {
	            default: function(link) {
	                return utils.createHiddenLink(link);
	            }
	        };
	
	        /**
	         * Load any content using provided link (HiddenLink) and obfuscates PP links in the response
	         * @param link
	         * @param params
	         * @returns {promise}
	         */
	        function loadContent(link, params) {
	            if (angular.isFunction(link.getLink)) { // in case of hidden link - retrieve original link
	                link = link.getLink(utils.apiInternalKey);
	            }
	
	            return requestMaker
	                .http(link, params)
	                .then(function(response) {
	
	                    var contentObj = response.data;
	                    // obfuscate link and cache of not-obfuscated links
	                    linkObfuscator.obfuscate(contentObj, obfuscationSettings);
	                    return contentObj;
	
	                }, function(error) {
	                    if (error.status == 402) { // special handling for "payment required" status code
	                        linkObfuscator.obfuscate(error.data, obfuscationSettings);
	                        return $q.reject({ data: error.data, status: 402 });
	                    } else {
	                        return $q.reject(requestMaker.formatError(error.data, error.status));
	                    }
	                });
	        }
	
	        return {
	            load: loadContent,
	
	            /**
	             * Loads purchase items for
	             * @param media
	             */
	            loadFullPlay: function(media) {
	                return loadContent(media.FullPlay);
	            },
	
	            /**
	             * Loads media products contained in the bundle
	             * @param bundle
	             * @returns {promise}
	             */
	            loadBundleProducts: function(bundle) {
	                var mediaProductLinks = bundle.MediaProductLinks || [];
	
	                var aggregatedPromise = $q.resolve(),
	                    resultArray = [],
	                    pushToResultArray = function(data) {
	                        resultArray.push(data);
	                    };
	
	                for(var i = 0; i < mediaProductLinks.length; ++i) {
	                    aggregatedPromise = aggregatedPromise
	
	                        .then(function() {
	                            return loadContent(this);
	                        }.bind(mediaProductLinks[i]))
	
	                        .then(pushToResultArray);
	                }
	
	                return aggregatedPromise.then(function() {
	                    return resultArray;
	                });
	            }
	
	            // TODO: maybe add later
	            //loadSimilar: function(media) {
	            //    return loadContent(media.Similar);
	            //}
	        };
	    }
	]);

/***/ },
/* 9 */
/***/ function(module, exports, __webpack_require__) {

	var ns = __webpack_require__(1);
	/**
	 * Finds data (not media or else) links to PP in object and obfuscates them.
	 * Uses a settings object, which describes the way each link should be replaced
	 */
	angular.module(ns()).service(ns('linkObfuscator'), [
	    ns('utils'),
	    function(utils) {
	
	        var defaultHandler = function(link) {
	                return link;
	            };
	
	        function traverseObj(dataObj, settings) {
	            if (dataObj === '') return;
	            var value;
	            for(var prop in dataObj) {
	                if (!dataObj.hasOwnProperty(prop)) continue;
	
	                value = dataObj[prop];
	                settings._currPath[settings._currPath.length] = prop;
	
	                if (typeof(value) === 'object') {
	                    if (utils.isPPLink(value)) {
	                        obfuscateLink(dataObj, prop, settings);
	                    }
	                    else {
	                        traverseObj(dataObj[prop], settings);
	                    }
	                }
	                settings._currPath.pop();
	            }
	        }
	
	        /**
	         * Performs link obfuscation
	         * @param obj - object, that should get obfuscated property
	         * @param propertyName - property name of link to obfuscate
	         * @param settings - list of rules which define obfuscation strategy
	         */
	        function obfuscateLink(obj, propertyName, settings) {
	            // find a transformation rule for this property
	            var rule, i;
	            for(i = 0; i < settings.rules.length; ++i) {
	                var currRule = settings.rules[i];
	                if (currRule.property == propertyName ||
	                    (currRule.match && currRule.match(settings._currPath))) {
	                    rule = currRule;
	                    break;
	                }
	            }
	
	            // obfuscate existing link
	            if (rule)
	                obj[propertyName] = rule.make(obj[propertyName]);
	            else
	                obj[propertyName] = settings.default(obj[propertyName]);
	        }
	
	        /**
	         * Obfuscates object's PP links in order to make it inaccessible for clients
	         * NB: modifies dataObj's links
	         */
	        this.obfuscate = function(dataObj, settings) {
	            settings.default = settings.default || defaultHandler;
	            settings.rules = settings.rules || [];
	            settings._currPath = [];
	            traverseObj(dataObj, settings);
	        }
	    }
	]);

/***/ },
/* 10 */
/***/ function(module, exports, __webpack_require__) {

	var ns = __webpack_require__(1);
	/**
	 * Use this factory to create a manager for one list
	 */
	angular.module(ns()).service(ns('listManagerFactory'), [
	    ns('requestMaker'), ns('contentLoader'), '$q',
	    function(requestMaker, contentLoader, $q) {
	
	        /**
	         * Returns a factory for creating a manager for provided list
	         */
	        return function (listConfig, listChangeCallback) {
	            listChangeCallback = listChangeCallback || function() {};
	
	            function injectCallbackHandler(data) {
	                var dataReturn = function() { return data; };
	                return $q.when(listChangeCallback())
	                    .then(dataReturn, dataReturn);
	            }
	
	            return {
	                /**
	                 * Loads list items
	                 * @returns {promise}
	                 */
	                loadItems: function () {
	                    if (listConfig.Items)
	                        return contentLoader.load(listConfig.Items);
	                    else
	                        return $q.when({ Items: [] });
	                },
	
	                /**
	                 * Adds items to the list
	                 * @param - ids of items to be added
	                 * @returns {promise} task completion
	                 */
	                addItems: function () {
	                    return requestMaker.http(listConfig.AddItems, {
	                            ids: [].slice.call(arguments).join(',')
	                        })
	                        .formatError()
	                        .then(injectCallbackHandler)
	                        .then(function (response) {
	                        });
	                },
	
	                /**
	                 * Sets item position in ordered list. Does nothing for unordered lists
	                 * @param itemId - id of item to position
	                 * @param position - new position of an item
	                 * @returns {promise} - task completion
	                 */
	                positionItem: function (itemId, position) {
	                    // do not position items in unordered lists
	                    if (listConfig.ListType == "WishList")
	                        return $q.reject({ Message: 'Not supported operation' });
	
	                    return requestMaker.http(listConfig.ItemPosition, {
	                            id: itemId,
	                            position: position
	                        })
	                        .formatError()
	                        .then(injectCallbackHandler)
	                        .then(function (response) {
	                        });
	                },
	
	                /**
	                 * Removes item from the current list
	                 * @param - ids of items to be deleted
	                 * @returns {promise} task completion
	                 */
	                removeItems: function () {
	                    return requestMaker.http(listConfig.RemoveItems, {
	                            ids: [].slice.call(arguments).join(',')
	                        })
	                        .formatError()
	                        .then(injectCallbackHandler)
	                        .then(function (response) {
	                        });
	                },
	
	                /**
	                 * Some lists may expose items for quick access
	                 */
	                get exposedItems(){ return (listConfig && listConfig.ExposedItems) ? listConfig.ExposedItems : []; }
	            };
	        }
	
	    }
	]);

/***/ },
/* 11 */
/***/ function(module, exports, __webpack_require__) {

	var ns = __webpack_require__(1);
	/**
	 * Manages user lists
	 */
	angular.module(ns()).factory(ns('listsManager'), [
	    ns('requestMaker'), ns('contentLoader'), ns('listManagerFactory'),
	
	    function(requestMaker, contentLoader, listManagerFactory) {
	
	        var configObj, availableLists;
	
	        /**
	         * Creates list manager for specified list
	         * @param listId - Id of a list to create manager for
	         * @returns {*}
	         */
	        function createManager(listId) {
	            var listConfig = null;
	            for(var i = 0; i < availableLists.length; ++i) {
	                if (availableLists[i].Id == listId) {
	                    listConfig = availableLists[i];
	                    break;
	                }
	            }
	
	            if (!listConfig)
	                throw new Error('List was not found');
	
	            return listManagerFactory(listConfig);
	        }
	
	        /**
	         * Return list data without PP links
	         * @returns {Array}
	         */
	        function obfuscateLists() {
	            var resultData = new Array(availableLists.length),
	                currList;
	            for(var i = 0; i < availableLists.length; ++i) {
	                currList = availableLists[i];
	                resultData[i] = {
	                    id: currList.Id,
	                    type: currList.ListType,
	                    isPublic: currList.Public,
	                    owner: currList.Owner,
	                    name: currList.Name
	                };
	            }
	
	            return resultData;
	        }
	
	        return {
	            /**
	             * Sets ManageLists PP link
	             * @param config
	             */
	            configure: function(config) {
	                configObj = config;
	            },
	
	            /**
	             * Load all user's lists
	             * @returns {promise}
	             */
	            read: function() {
	                return requestMaker.http(configObj.Read, {
	                        userListType: '',
	                        isPublic: '',
	                        deviceId: ''
	                    })
	                    .formatError()
	                    .then(function(response) {
	                        availableLists = response.data;
	                        var lists = obfuscateLists();
	                        return {
	                            lists: lists,
	                            createManager: createManager
	                        };
	                    });
	            },
	
	            /**
	             * Creates or updates list
	             * @param data - user list data model
	             * @returns {*}
	             */
	            createOrUpdate: function(data) {
	                return requestMaker.http(configObj.CreateOrUpdate, null, data)
	                    .formatError()
	                    .then(function(response) { });
	            },
	
	            /**
	             * Deletes lists with specified id on the server
	             * @param id - is of list to delete
	             * @returns {promise} - task completion promise
	             */
	            remove: function(id) {
	                return requestMaker.http(configObj.Delete, { id: id })
	                    .formatError()
	                    .then(function(response) { });
	            }
	        };
	    }
	]);

/***/ },
/* 12 */
/***/ function(module, exports, __webpack_require__) {

	var ns = __webpack_require__(1);
	/**
	 * Implements purchase flow
	 */
	angular.module(ns()).factory(ns('purchaseService'), [
	    ns('requestMaker'), '$q',
	    function(requestMaker, $q) {
	
	        var purchaseCommitedCallback = function() {};
	
	        /**
	         * Encapsulates purchase object, adding required methods
	         * @param dataObj - purchase object from server
	         * @constructor
	         */
	        function PurchaseWrapper(dataObj) {
	            // TODO: think about generalizing this pattern
	            var links = {
	                Self: dataObj.Purchase.Self,
	                Update: dataObj.Purchase.Update,
	                Commit: dataObj.Purchase.Commit,
	                Cancel: dataObj.Purchase.Cancel
	            };
	
	            delete dataObj.Purchase.Self;
	            delete dataObj.Purchase.Update;
	            delete dataObj.Purchase.Commit;
	            delete dataObj.Purchase.Cancel;
	
	            if (links.Update) {
	                this.update = function(paymentMethod, valuecode) {
	                    return submit(links.Update, paymentMethod, valuecode);
	                };
	            }
	            if (links.Commit) {
	                this.commit = function() {
	                    return requestMaker.http(links.Commit, null, dataObj)
	                        .formatAll()
	                        .then(function(data) {
	                            var dataReturn = function() { return data; };
	                            return $q.when(purchaseCommitedCallback())
	                                     .then(dataReturn, dataReturn);
	                        });
	                }
	            }
	            if (links.Cancel) {
	                this.cancel = function() {
	                    return requestMaker.http(links.Cancel, null, dataObj).formatAll();
	                }
	            }
	
	            Object.defineProperties(this, {
	                info: {
	                    value: dataObj.Purchase,
	                    writable: false,
	                    enumerable: true,
	                    configurable: true
	                }
	            });
	        }
	
	        /**
	         * Submits the purchase
	         * @param link
	         * @param paymentMethod
	         * @param valuecode
	         * @returns {*}
	         */
	        function submit(link, paymentMethod, valuecode) {
	            return requestMaker.http(link, {
	                    paymentMethod: paymentMethod,
	                    valuecode: valuecode
	                })
	                .then(function(response) {
	                    return new PurchaseWrapper(response.data);
	                }, function(error) {
	                    if (error.status == 402) {
	                        return new PurchaseWrapper(error.data);
	                    } else {
	                        return $q.reject(requestMaker.formatError(error.data, error.status));
	                    }
	                });
	        }
	
	        return {
	            get onPurchaseCommitted() { return purchaseCommitedCallback; },
	            set onPurchaseCommitted(val) { purchaseCommitedCallback = val || function() {}; },
	
	            submit: submit
	        };
	    }
	]);

/***/ },
/* 13 */
/***/ function(module, exports, __webpack_require__) {

	var template = __webpack_require__(4),
	    ns = __webpack_require__(1);
	/**
	 * Sends requests to PP
	 */
	angular.module('r4a.pp-api').service('r4a.pp-api.requestMaker', [
	    '$http', '$q', ns('utils'),
	    function ($http, $q, utils) {
	        // ------------- Private fields
	        var baseUrl = null,
	            language = null,
	            sendContentLength = false,
	            disableReferrerResponseTransform = false,
	            onUnauthorizedRequest = angular.noop;
	
	        // ------------- Private methods
	        /**
	         * Gets all maching keys from json object 
	         * @param Json object
	         * @param Matching key
	         * @returns {*}
	         */
	        function findObjectsContainsKey(obj, key) {
	            var result = [];
	            if (obj instanceof Array) {
	                for (var i = 0; i < obj.length; i++)
	                    result.push(findObjectsContainsKey(obj[i], key));
	            } else {
	                if (obj.hasOwnProperty(key)) result.push(obj);
	
	                for (var propKey in obj) {
	                    if (!obj.hasOwnProperty(propKey)) continue;
	                    var val = obj[propKey];
	                    if (val instanceof Object || val instanceof Array)
	                        result.push(findObjectsContainsKey(val, key));
	                }
	            }
	            return result.reduce(function (accumulator, currentValue) {
	                return accumulator.concat(currentValue);
	            }, []);
	        }
	
	        // ------------- Private methods
	        /**
	         * Adds baseUrl to PP api link and applies arguments to templated ones
	         * @param link
	         * @param params
	         * @returns {*}
	         */
	        function processLink(link, params) {
	            var href = link.Href || '';
	            var host = baseUrl || '';
	
	            // prepare full absolute url in case link.Href is relative partial url.
	            var regex = /^https?\:\/\/[^\/?#]+(?:[\/?#]|$)/i;
	            var matches = href.match(regex);
	            if (matches) {
	                // absolute url in Href, no action required
	            } else {
	                // relative url in Href
	                // try taking base url from referrer
	                if (link.referrer) {
	                    matches = link.referrer.match(regex);
	                    if (matches) {
	                        host = matches[0];
	                    }
	                }
	                host = host.replace(/\/$/,''); // remove tailing '/'
	                href = host + '/' + href.replace(/^\//,'');
	            }
	            // end of - prepare full absolute url in case link.Href is relative partial url.
	
	            // apply parameters to url template
	            if (link.Templated) {
	                var url = template.parse(href);
	                return url.expand(params);
	            }
	            else {
	                return href;
	            }
	        }
	
	        /**
	         * Simple error formatter for network responses
	         * @param data
	         * @param status
	         * @returns {*|{}}
	         */
	        function formatError(data, status) {
	
	            var result = {};
	
	            if (angular.isString(data)) {
	                result.Message = data;
	            }
	            else if (angular.isObject(data)) {
	                result = data;
	            }
	
	            result.status = status;
	            return result;
	        }
	
	        /**
	         * Error formatting extension for angular $http's promise.
	         * NB: executed in the context of promise
	         */
	        function formatErrorExt() {
	            // return new promise to support chaining !
	            return this.catch(function (error) {
	                return $q.reject(formatError(error.data, error.status));
	            });
	        }
	
	        /**
	         * Extracts data from response and formats error
	         * @returns {*}
	         */
	        function formatAllExt() {
	            // return new promise to support chaining !
	            return this.then(function (response) {
	                return response.data;
	            }, function (error) {
	                return $q.reject(formatError(error.data, error.status));
	            });
	        }
	        // ------------- Public methods
	        /**
	         * Perform http request to PP. Does all need transformation on urls and includes required headers
	         * @param linkWrapper - PP link object
	         * @param urlParams - url params for templated links. Required for templated link
	         * @param data - request body for POST, PUT requests. Optional param.
	         * @returns {*} - promise of $http angular object
	         */
	        this.http = function (linkWrapper, urlParams, data) {
	            if (!baseUrl) {
	                throw new Error('No base url was set! Please do it before using the library!');
	            }
	
	            var link = linkWrapper.Action ? linkWrapper.Action : linkWrapper,
	                method = linkWrapper.Method ? linkWrapper.Method.toUpperCase() : "GET";
	
	            var headers = {
	                'Accept': 'application/json',
	                'Content-Type': 'application/json; charset=utf-8'
	            };
	            if (language) { // add Accept-Language header if info available
	                headers['Accept-Language'] = language;
	            }
	
	            // Samsung 2013 devices generate an "http 411 error", if the content-length is not specified
	            if (sendContentLength && method === "POST") {
	                // handle invalid POST params
	                if (data) {
	                    // convert object to json string, because PP server accepts only JSON as request body
	                    if (angular.isObject(data)) {
	                        data = angular.toJson(data);
	                    } else {
	                        data = data.toString();
	                    }
	                    // content-type is hard coded to utf-8 above, so treat the src string as utf-8 when getting length
	                    headers['Content-Length'] = utils.utf8ByteLength(data);
	                } else {
	                    // will be called if 'data' param doesn't appear to be a string
	                    headers['Content-Length'] = 0;
	                }
	            }
	            var url = processLink(link, urlParams);
	            var config = {
	                method: method,
	                url: url,
	                data: data,
	                headers: headers,
	                withCredentials: link.WithCredentials,
	                cache: !!link.cache,
	                timeout: 30000 // 30 sec
	            };
	            if (!disableReferrerResponseTransform) {
	                config.transformResponse = function (data) {
	                    if (!data || data === 'Error' || data === 'OK' || data === 'registered' || data === 'mail sent' || data === 'No auth') {
	                        return data;
	                    }
	                    //Converts string to Json array
	                    var json = angular.fromJson(data);
	                    findObjectsContainsKey(json, 'Href').forEach(function (el) { el.referrer = url; });
	                    return json;
	                };
	            }
	
	            var httpObj = $http(config)
	                .catch(function (response) {
	                    if (response.status == 401) {
	                        onUnauthorizedRequest(response.data);
	                    }
	
	                    return $q.reject(response);
	                });
	            httpObj.formatError = formatErrorExt;
	            httpObj.formatAll = formatAllExt;
	            return httpObj;
	        };
	
	        /**
	         * Sets the Accept-Language header for all requests to PP
	         */
	        this.setAcceptLanguage = function (acceptLanguage) {
	            language = acceptLanguage;
	        };
	
	        /**
	         * Formats error to same object
	         * @param data
	         * @param status
	         * @returns friendly error object
	         */
	        this.formatError = formatError;
	
	        /**
	         * Overrides PP's base url, which is used to make all back-end calls
	         * @param newBaseUrl
	         */
	        this.setBaseUrl = function (newBaseUrl) {
	            baseUrl = newBaseUrl;
	        };
	
	        Object.defineProperties(this, {
	            /**
	             * Callback for unauthorized request
	             */
	            onUnauthorizedRequest: {
	                get: function () { return onUnauthorizedRequest; },
	                set: function (value) {
	                    if (angular.isFunction(value)) {
	                        onUnauthorizedRequest = value;
	                    } else {
	                        throw new Error('Invalid value');
	                    }
	                }
	            },
	
	            /**
	             * Whether "Content-Type" header should be added on every request
	             */
	            sendContentLength: {
	                get: function () { return sendContentLength },
	                set: function (value) { sendContentLength = !!value; }
	            },
	
	            /**
	             * makes requestMaker transform response by attaching request url as .referrer
	             * default enabled == true
	             * @param enabled
	             */
	            disableReferrerResponseTransform: {
	                get: function () { return disableReferrerResponseTransform; },
	                set: function (value) { disableReferrerResponseTransform = !!value; }
	            }
	        });
	    }
	]);

/***/ },
/* 14 */
/***/ function(module, exports, __webpack_require__) {

	var ns = __webpack_require__(1);
	/**
	 * Performs search within PP back-end
	 */
	angular.module(ns()).service(ns('searchService'), [
	    ns('contentLoader'),
	    function(contentLoader) {
	        var rootData;
	
	        function doSearch(link, query, language) {
	            var params = { query: query };
	
	            if (language) {
	                params.language = language;
	            }
	            return contentLoader.load(link, params);
	        }
	
	        return {
	            /**
	             * Internal to module interface
	             * @param obj
	             */
	            configure: function (obj) {
	                rootData = obj;
	            },
	            /**
	             * Public interface of the service, that can be exposed out of module
	             */
	            public: {
	                search: function(query) {
	                    return doSearch(rootData.Search, query);
	                },
	                /**
	                 * Performs elastic search request. Please note this endpoint may be unavailable on some instances of PP,
	                 * as it is a paid feature. In that case exception will be thrown.
	                 * @param query
	                 * @returns {promise}
	                 */
	                eSearch: function(query) {
	                    if (!rootData.ESearch) {
	                        throw new Error('This feature is not available for given instance of PP');
	                    }
	                    return doSearch(rootData.ESearch, query, rootData.DeviceAuthData.Language);
	                },
	                searchAsYouType: function(query) {
	                    return doSearch(rootData.SearchAsYouType, query);
	                },
	                searchMovies: function(query) {
	                    return doSearch(rootData.SearchMovies, query);
	                },
	                searchSeries: function(query) {
	                    return doSearch(rootData.SearchSeries, query);
	                },
	                searchBundles: function(query) {
	                    return doSearch(rootData.SearchBundles, query);
	                }
	            }
	        };
	    }
	]);


/***/ },
/* 15 */
/***/ function(module, exports, __webpack_require__) {

	var ns = __webpack_require__(1);
	/**
	 * User-related PP data management
	 */
	angular.module(ns()).service(ns('userManager'), [
	    ns('authDeviceService'), ns('requestMaker'), ns('contentLoader'), ns('listsManager'), ns('listManagerFactory'),
	    ns('bookmarksManager'), ns('utils'), ns('purchaseService'), ns('userRatingsManager'), '$q',
	    function(authDeviceService, requestMaker, contentLoader, listsManager, listManagerFactory,
	             bookmarksManager, utils, purchaseService, userRatingsManager, $q) {
	
	        // private fields
	        var lastLoginPromise = null,
	            loginData = null,
	            wishListManager = null,
	            rememberLogin = true, // whether to persist used login between application sessions
	            unauthorizedCallback = angular.noop;
	
	        // ------------- Private methods
	        /**
	         * Refresh login data on changes in bookmarks collection
	         */
	        function init() {
	            var self = this;
	
	            purchaseService.onPurchaseCommitted = doSilentLogin;
	            requestMaker.onUnauthorizedRequest = function(data) {
	                // in case of user being unauthorized - no PP link should be returned
	                // otherwise - it is a device not authorized
	                if (!utils.isPPLink(data) && self.isLoggedIn) {
	                    self.logout();
	                    unauthorizedCallback();
	                }
	            };
	        }
	
	        /**
	         * Returns user information from login data
	         */
	        function getUserInfo() {
	            return loginData ? {
	                address: loginData.Address,
	                city: loginData.City,
	                country: loginData.Country,
	                email: loginData.Email,
	                firstName: loginData.FirstName,
	                lastName: loginData.LastName,
	                mobile: loginData.Mobile,
	                numberOfLogins: loginData.NumberOfLogins,
	                registrationDate: loginData.RegistrationDate,
	                userName: loginData.UserName,
	                showAdult: loginData.ShowAdult,
	                availablePaymentMethods: loginData.AvailablePaymentMethods,
	                postalCode: loginData.PostalCode,
	                gender: loginData.Gender,
	                dateOfBirth: loginData.DateOfBirth,
	                mySubscriptions: loginData.MySubscriptions,
	                CClastfour: loginData.CClastfour,
	                CCreference: loginData.CCreference,
	                CCvalid: loginData.CCvalid,
	                telephone: loginData.Telephone
	            } : null;
	        }
	
	        function doSilentLogin() {
	            var link = (loginData && loginData.Self) ? loginData.Self : utils.silentLoginLink;
	            if (link === null)
	                return $q.reject({ Message: 'Cannot perform silent login' });
	
	            return doLogin(null, link);
	        }
	
	        /**
	         * Saves login data and updates related services
	         * @param data
	         */
	        function setLoginData(data) {
	            loginData = data;
	
	            // update login data related services
	            if (loginData.MyWishList) {
	                wishListManager = listManagerFactory(loginData.MyWishList, doSilentLogin);
	            }
	            listsManager.configure(loginData.ManageLists);
	            bookmarksManager.configure(loginData);
	            userRatingsManager.configure(loginData.ManageUserRatings.Read, loginData.ManageUserRatings.CreateOrUpdate, loginData.TotalUserRatings);
	
	            // store login refresh link
	            utils.silentLoginLink = rememberLogin ? loginData.Self : null;
	        }
	
	        function doLogin(params, link) {
	            lastLoginPromise = authDeviceService.authPromise
	                .then(function (authData) {
	                    return requestMaker
	                        .http(link || authData.rootData.Login, params)
	                        .formatError();
	                })
	                .then(function (result) {
	                    setLoginData(result.data);
	                    return getUserInfo();
	                });
	            return lastLoginPromise;
	        }
	
	        // ------------- Public methods
	        /**
	         * Performs login to PP
	         * @param params - Format: { username: "username", password: "password" }
	         *                 This param should be null for silent login
	         * @param saveLogin - whether to try persisting logged in user between application startups
	         * @returns login promise, with user information on success
	         */
	        this.login = function(params, saveLogin) {
	            rememberLogin = angular.isDefined(saveLogin) ? saveLogin : true;
	            return doLogin(params);
	        };
	
	        /**
	         * Implements silent login, using "Login.Self" link, cached on the device from previous login data
	         * @returns {promise} with user information on success
	         */
	        this.silentLogin = function() {
	            return doSilentLogin();
	        };
	
	        /**
	         * Returns information, about currently logged in user
	         */
	        this.getUserInfo = getUserInfo;
	
	        /**
	         * This method should be called to log user out
	         */
	        this.logout = function() {
	            loginData = null;
	            lastLoginPromise = null;
	            wishListManager = null;
	            listsManager.configure(null);
	            utils.silentLoginLink = null;
	        };
	
	        /**
	         * Register new user in PP
	         * @param params - { email: "username@something.com", password: "pepito" }
	         * @returns registration complete promise
	         */
	        this.register = function(params) {
	
	            return authDeviceService.authPromise
	                .then(function(authData) {
	
	                    return requestMaker
	                        .http(authData.rootData.Register, params)
	                        .formatError();
	
	                })
	                .then(function(result) {
	                    return result.data;
	                });
	        };
	
	        /**
	         * Sends forgot password request
	         * @param userName
	         * @returns {*}
	         */
	        this.forgotPassword = function(userName) {
	            return authDeviceService.authPromise
	                .then(function(authData) {
	
	                    return requestMaker
	                        .http(authData.rootData.ForgotPassword, { userName: userName })
	                        .formatError();
	
	                })
	                .then(function(result) {
	                    return result.data;
	                });
	        };
	
	        /**
	         * Reset User password
	         * @param params - { passwordCode: "one time passcode", newPassword: "top secret" }
	         * @returns reset completion promise
	         */
	        this.resetPassword = function(params) {
	            return authDeviceService.authPromise
	                .then(function(authData) {
	                    return requestMaker
	                        .http(authData.rootData.ResetPassword, params)
	                        .formatError();
	                })
	                .then(function(result) {
	                    // return result.data;
	                    return result;
	                });
	        };
	
	        /**
	         * Cancel Reset User password
	         * @param params - { passwordCode: "passwordCode" }
	         * @returns update completion promise
	         */
	        this.cancelResetPassword = function(params) {
	            return authDeviceService.authPromise
	                .then(function(authData) {
	
	                    return requestMaker
	                        .http(authData.rootData.CancelResetPassword, params)
	                        .formatError();
	
	                })
	                .then(function(result) {
	                    return result.data;
	                });
	        };
	
	        /**
	         * Changes user password
	         * @param params - { oldPassword: "pepito", newPassword: "new_pepito" }
	         * @returns update completion promise
	         */
	        this.updatePassword = function(params) {
	            return lastLoginPromise.then(function() {
	
	                    return requestMaker
	                        .http(loginData.UpdatePassword, params)
	                        .formatError();
	
	                })
	                .then(function() { // do not pass anything to chained promise
	
	                });
	        };
	
	        /**
	         * Changes user information
	         * @returns update completion promise
	         */
	        this.updateUserInfo = function(data) {
	            return lastLoginPromise.then(function() {
	
	                    return requestMaker
	                        .http(loginData.Update, null, data)
	                        .formatError();
	
	                })
	                .then(function(result) {
	
	                    loginData = result.data;
	                    return getUserInfo();
	
	                });
	        };
	
	        /**
	         * Loads collection of user's movies
	         * @returns {promise}
	         */
	        this.loadMyMovies = function() {
	            if (lastLoginPromise) {
	                return lastLoginPromise.then(function () {
	                    if (loginData.MyMoviesList && loginData.MyMoviesList.Items) {
	                        return contentLoader.load(loginData.MyMoviesList.Items);
	                    } else {
	                        return { Items: [] };
	                    }
	                });
	            } else {
	                return $q.when({ Items: [] });
	            }
	        };
	
	        /**
	         * Loads collection of user's seasons
	         * @returns {promise}
	         */
	        this.loadMySeasons = function () {
	            if (lastLoginPromise) {
	                return lastLoginPromise.then(function () {
	                    if (loginData.MySeasonsList && loginData.MySeasonsList.Items) {
	                        return contentLoader.load(loginData.MySeasonsList.Items);
	                    } else {
	                        return { Items: [] };
	                    }
	                });
	            } else {
	                return $q.when({ Items: [] });
	            }
	        };
	
	        /**
	         * Loads collection of user's bundles
	         * @returns {promise}
	         */
	        this.loadMyBundles = function() {
	            if (lastLoginPromise) {
	                return lastLoginPromise.then(function () {
	                    if (loginData.MyBundlesList && loginData.MyBundlesList.Items) {
	                        return contentLoader.load(loginData.MyBundlesList.Items);
	                    } else {
	                        return { Items: [] };
	                    }
	                });
	            } else {
	                return $q.when({ Items: [] });
	            }
	        };
	
	        Object.defineProperties(this, {
	            /**
	             * Is any user logged in now
	             */
	            isLoggedIn: {
	                get: function () {
	                    return loginData != null;
	                }
	            },
	
	            /**
	             * Collection of objects with my movies list id's.
	             * This method can be used to determine if movie is in MyMovieList without loading full list itself
	             * @returns {array}
	             */
	            exposedMovies: {
	                get: function () {
	                    if (this.isLoggedIn) {
	                        return loginData.MyMoviesList.ExposedItems;
	                    }
	                    return [];
	                }
	            },
	
	            /**
	             * Collection of objects with my seasons list id's.
	             * This method can be used to determine if season is in MySeasonsList without loading full list itself
	             * @returns {array}
	             */
	            exposedSeasons: {
	                get: function () {
	                    if (this.isLoggedIn) {
	                        return loginData.MySeasonsList.ExposedItems;
	                    }
	                    return [];
	                }
	            },
	
	            /**
	             * Collection of objects with my bundles list id's.
	             * This method can be used to determine if bundle is in MyBundlesList without loading full list itself
	             * @returns {array}
	             */
	            exposedBundles: {
	                get: function () {
	                    if (this.isLoggedIn) {
	                        return loginData.MyBundlesList.ExposedItems;
	                    }
	                    return [];
	                }
	            },
	
	            /**
	             * Manages user's lists
	             */
	            listsManager: {
	                value: listsManager,
	                writable: false
	            },
	
	            /**
	             * Manages user's wish list
	             */
	            wishList: {
	                get: function() { return wishListManager; }
	            },
	
	            /**
	             * Bookmarks manager
	             */
	            bookmarks: {
	                get: function() { return bookmarksManager.public; }
	            },
	
	            /**
	             * Callback for unauthorized requests. User will be logged out by the time this callback is called
	             */
	            onUnauthorized: {
	                get: function() { return unauthorizedCallback; },
	                set: function(value) {
	                    if (angular.isFunction(value)) {
	                        unauthorizedCallback = value;
	                    } else {
	                        throw new Error('Invalid value');
	                    }
	                }
	            },
	
	            /**
	             * User Ratings manager
	             */
	            userRatings: {
	                get: function() { return userRatingsManager }
	            }
	        });
	
	        // do init
	        init.call(this);
	    }
	]);

/***/ },
/* 16 */
/***/ function(module, exports, __webpack_require__) {

	var ns = __webpack_require__(1);
	/**
	 * Manages user ratings
	 */
	angular.module(ns()).service(ns('userRatingsManager'), [
	    ns('requestMaker'), '$q',
	    function(requestMaker, $q) {
	        var userRatingsReadLink;
	        var userRatingsWritLink;
	        var userTotalRatingsReadLink;
	
	        /**
	         * configure the links for user rating service.
	         * @param link
	         * @param writeLink
	         * @param totalReadLink
	         */
	        function Configure(readLink, writeLink, totalReadLink) {
	            userRatingsReadLink = readLink;
	            userRatingsWritLink = writeLink;
	            userTotalRatingsReadLink = totalReadLink;
	        }
	        
	        /**
	         * Fetch the user ratings
	         * @param assetIds
	         * @returns [{UserRating}]
	         */
	        function GetUserRatings(contentId) {
	            return requestMaker.http(userRatingsReadLink, { contentId: contentId })
	                        .formatError()
	                        .then(function(response){ return response.data });
	        }
	
	        /**
	         * Fetch the user total ratings
	         * @param assetIds
	         * @returns [{UserRating}]
	         */
	        function GetUserTotalRatings(contentId) {
	            return requestMaker.http(userTotalRatingsReadLink, { contentId: contentId })
	                        .formatError()
	                        .then(function(response){ return response.data });
	        }
	
	        /**
	         * Create or update the user ratings
	         * @param assetId
	         * @param value
	         * @returns {UserRating}
	         */
	        function CreatOrUpdateUserRating(contentId, value) {
	            return requestMaker.http(userRatingsWritLink, null, {
	                            ContentId: contentId,
	                            Value: value
	                        })
	                        .formatAll()
	                        .then(function(response){ return response });
	        }
	
	       return {
	           configure : Configure,
	           getUserRatings: GetUserRatings,
	           getUserTotalRatings: GetUserTotalRatings,
	           creatOrUpdateUserRating: CreatOrUpdateUserRating
	        };
	    }
	]);


/***/ },
/* 17 */
/***/ function(module, exports, __webpack_require__) {

	var ns = __webpack_require__(1);
	
	/**
	 * Different utility methods for PP API module
	 */
	angular.module(ns()).factory(ns('utils'), [
	    'localStorageService',
	    function(localStorageService){
	        var protocolSubstring = '://';
	        var silentLoginKey = ns('silentLoginLink');
	        var literalsStorageKey = ns('literalsStorageKey');
	        var apiInternalKey = null;
	        // compatible version of PP
	        var majorPPCompatVersion = 3, minorPPCompatVersion = 1;
	
	        function isPPLink(obj) {
	            if (!angular.isObject(obj))
	                return false;
	
	            var href;
	            if (obj.Href)
	                href = obj.Href;
	            else if (obj.Method && obj.Action && obj.Action.Href)
	                href = obj.Action.Href;
	
	            return !!(href && href.indexOf(protocolSubstring) < 0);
	        }
	
	        function guid() {
	            return s4() + s4() + '-' + s4() + '-' + s4() + '-' +
	                s4() + '-' + s4() + s4() + s4();
	        }
	
	        function s4() {
	            return Math.floor((1 + Math.random()) * 0x10000)
	                .toString(16)
	                .substring(1);
	        }
	
	        /**
	         * Fetches data from PP and returns data with encapsulates links
	         * @param link - link to use for fetching data
	         * @param params (optional) - params in case of templated link
	         * @constructor
	         */
	        function HiddenLink (link){
	            // ------------- PUBLIC METHODS
	            /**
	             * Loads page of data from PP, by provided link
	             * @returns promise for fetching data
	             */
	            this.getLink = function(accessKey) {
	                if (accessKey == apiInternalKey)
	                    return link;
	                else
	                    throw new Error('Wrong access key supplied!');
	            };
	        }
	
	        /**
	         * Checks if PP version is compatible with this sdk
	         * @param ppVersion
	         */
	        function checkPPVersion(ppVersion) {
	            // get version numbers as strings
	            var versionNumbers = ppVersion.split('.');
	            // convert version numbers to integers
	            for(var i = 0; i < versionNumbers.length; ++i) {
	                versionNumbers[i] = parseInt(versionNumbers[i]);
	            }
	
	            // check major version of PP
	            if (versionNumbers[0] != majorPPCompatVersion) {
	                var error = new Error('Player Platform version is not supported. Please use PP version: ' + getSupportedPPVersion());
	                console.error(error);
	                throw error;
	            }
	
	            // check minor version of PP
	            if (versionNumbers[1] > minorPPCompatVersion) {
	                console.warn('Player Platform version is higher than this SDK was developed against. ' +
	                'New features deployed to the API might not be available through this SDK. Please use PP version ' + getSupportedPPVersion());
	            }
	            else if (versionNumbers[1] < minorPPCompatVersion) {
	                console.warn('An outdated version of PP is being used. For best result please use PP version: ' +
	                getSupportedPPVersion());
	            }
	        }
	
	        function getSupportedPPVersion() {
	            return majorPPCompatVersion + '.' + minorPPCompatVersion;
	        }
	
	        /**
	         * Returns the byte length of an utf8 string
	         *             
	         * @param   {string} - input string to get the length of
	         * @returns {Int} - string length in bytes
	         * @author Marc Coupar               
	         */
	        function utf8ByteLength(str) {
	            var s = str.length;
	            for (var i = str.length - 1; i >= 0; i--) {
	                var code = str.charCodeAt(i);
	                if (code > 0x7f && code <= 0x7ff) s++;
	                else if (code > 0x7ff && code <= 0xffff) s += 2;
	                if (code >= 0xDC00 && code <= 0xDFFF) i--; //trail surrogate
	            }
	            return s;
	        }
	
	        return {
	            /**
	             * Retrieves stored link for silent login form persistent storage
	             */
	            get silentLoginLink () {
	                return localStorageService.get(silentLoginKey);
	            },
	
	            /**
	             * Saves silent login link to persistent storage
	             */
	            set silentLoginLink (value) {
	                if (value && isPPLink(value)) {
	                    localStorageService.set(silentLoginKey, value);
	                }
	                else {
	                    localStorageService.remove(silentLoginKey);
	                }
	            },
	
	            get apiInternalKey () {
	                return apiInternalKey;
	            },
	
	            get literals () {
	                return localStorageService.get(literalsStorageKey);
	            },
	
	            set literals (values) {
	                return localStorageService.set(literalsStorageKey, values);
	            },
	
	            generateApiInternalKey : function() {
	                apiInternalKey = guid();
	            },
	
	            createHiddenLink: function(link) {
	                return new HiddenLink(link);
	            },
	
	            /**
	             * Determines is passed object is a valid PP link
	             */
	            isPPLink: isPPLink,
	
	            /**
	             * Checks if PP version is compatible with this sdk
	             * @param ppVersion
	             */
	            checkPPVersion: checkPPVersion,
	
	            /**
	             * Returns the byte length of an utf8 string
	             *             
	             * @param   {string} - input string to get the length of
	             * @returns {Int} - string length in bytes
	             * @author Marc Coupar               
	             */
	            utf8ByteLength: utf8ByteLength
	        };
	    }
	]);


/***/ }
/******/ ]);
//# sourceMappingURL=r4a-pp-api.js.map